export class IUserRepository {
  async findById(id) {
    throw new Error('findById() must be implemented');
  }

  async findByEmail(email) {
    throw new Error('findByEmail() must be implemented');
  }

  async findByUsername(username) {
    throw new Error('findByUsername() must be implemented');
  }

  async create(userData) {
    throw new Error('create() must be implemented');
  }

  async update(id,userData) {
    throw new Error('update() must be implemented');
  }

  async delete(id) {
    throw new Error('delete() must be implemented');
  }

  async findAll() {
    throw new Error('findAll() must be implemented');
  }
}
